declare type ConditionsType = Record<string, any>;
declare global {
    interface ObjectConstructor {
        fromEntries(xs: [string | number | symbol, any][]): Record<string, unknown>;
    }
}
export declare function createParams(conditions: ConditionsType, defaultParams?: ConditionsType): ConditionsType;
export declare function filterNoneValueObject(object: ConditionsType): ConditionsType;
export declare function stringifyQuery(params: ConditionsType, ignoreKeys?: any[]): string;
export declare function typeOf(obj: any): any;
export declare function syncQuery2Conditions(conditions: ConditionsType, query: ConditionsType, backupIntiConditions: ConditionsType): void;
export declare function isEquivalentString(a: ConditionsType, b: ConditionsType, ignore: string[]): boolean;
export declare function isEquivalent(x: any, y: any): any;
export declare function deepClone(obj: any): any;
export declare function sortObject(unordered: any): {};
export declare function serializeFunc(fn: any): any;
export {};
